> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ifixit/troubleshooting

> Get one iFixit troubleshooting write-up with its causes, checks and suggested fixes

**Price:** 1 credit

**⚠️ Common errors:** 412: No troubleshooting page exists with that id.



## OpenAPI

````yaml /openapi/repair-diy.json post /api/ifixit/troubleshooting
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ifixit/troubleshooting:
    post:
      tags:
        - /ifixit
      summary: /ifixit/troubleshooting
      description: >-
        Get one iFixit troubleshooting write-up with its causes, checks and
        suggested fixes


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No troubleshooting page exists with that id.
      operationId: __api_ifixit_troubleshooting_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IfixitTroubleshootingPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IfixitTroubleshooting'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IfixitTroubleshootingPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        problem:
          type: string
          minLength: 1
      type: object
      required:
        - problem
    IfixitTroubleshooting:
      properties:
        '@type':
          type: string
          default: IfixitTroubleshooting
        id:
          type: string
        name:
          type: string
        page_name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        keywords:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        modified_at:
          anyOf:
            - type: integer
            - type: 'null'
        answers_url:
          anyOf:
            - type: string
            - type: 'null'
        edit_url:
          anyOf:
            - type: string
            - type: 'null'
        history_url:
          anyOf:
            - type: string
            - type: 'null'
        device_guides_url:
          anyOf:
            - type: string
            - type: 'null'
        device_troubleshooting_url:
          anyOf:
            - type: string
            - type: 'null'
        device_parts_url:
          anyOf:
            - type: string
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        view_count_today:
          anyOf:
            - type: integer
            - type: 'null'
        view_count_week:
          anyOf:
            - type: integer
            - type: 'null'
        view_count_month:
          anyOf:
            - type: integer
            - type: 'null'
        device:
          anyOf:
            - $ref: '#/components/schemas/IfixitTroubleshootingDevice'
            - type: 'null'
        breadcrumbs:
          items:
            $ref: '#/components/schemas/IfixitBreadcrumb'
          type: array
          default: []
        authors:
          items:
            $ref: '#/components/schemas/IfixitAuthor'
          type: array
          default: []
        introduction:
          items:
            $ref: '#/components/schemas/IfixitTroubleshootingSection'
          type: array
          default: []
        solutions:
          items:
            $ref: '#/components/schemas/IfixitTroubleshootingSection'
          type: array
          default: []
        conclusion:
          items:
            $ref: '#/components/schemas/IfixitTroubleshootingSection'
          type: array
          default: []
        featured_products:
          items:
            $ref: '#/components/schemas/IfixitProductLink'
          type: array
          default: []
        linked_problems:
          items:
            $ref: '#/components/schemas/IfixitProblemLink'
          type: array
          default: []
        related_problems:
          items:
            $ref: '#/components/schemas/IfixitProblemLink'
          type: array
          default: []
        localized_urls:
          items:
            $ref: '#/components/schemas/IfixitLocalizedUrl'
          type: array
          default: []
        flags:
          items:
            $ref: '#/components/schemas/IfixitFlag'
          type: array
          default: []
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IfixitTroubleshootingDevice:
      properties:
        '@type':
          type: string
          default: IfixitTroubleshootingDevice
        name:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    IfixitBreadcrumb:
      properties:
        '@type':
          type: string
          default: IfixitBreadcrumb
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    IfixitAuthor:
      properties:
        '@type':
          type: string
          default: IfixitAuthor
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        reputation:
          anyOf:
            - type: integer
            - type: 'null'
        joined_at:
          anyOf:
            - type: integer
            - type: 'null'
        contribution_percent:
          anyOf:
            - type: number
            - type: 'null'
        team_ids:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    IfixitTroubleshootingSection:
      properties:
        '@type':
          type: string
          default: IfixitTroubleshootingSection
        id:
          anyOf:
            - type: string
            - type: 'null'
        heading:
          anyOf:
            - type: string
            - type: 'null'
        body_html:
          anyOf:
            - type: string
            - type: 'null'
        guides:
          items:
            $ref: '#/components/schemas/IfixitSectionGuide'
          type: array
          default: []
        products:
          items:
            $ref: '#/components/schemas/IfixitProductLink'
          type: array
          default: []
        part_collections:
          items:
            $ref: '#/components/schemas/IfixitPartCollection'
          type: array
          default: []
      type: object
    IfixitProductLink:
      properties:
        '@type':
          type: string
          default: IfixitProductLink
        name:
          type: string
        sku:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    IfixitProblemLink:
      properties:
        '@type':
          type: string
          default: IfixitProblemLink
        name:
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    IfixitLocalizedUrl:
      properties:
        '@type':
          type: string
          default: IfixitLocalizedUrl
        language:
          type: string
        url:
          type: string
      type: object
      required:
        - language
        - url
    IfixitFlag:
      properties:
        '@type':
          type: string
          default: IfixitFlag
        code:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - code
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    IfixitSectionGuide:
      properties:
        '@type':
          type: string
          default: IfixitSectionGuide
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        time_required:
          anyOf:
            - type: string
            - type: 'null'
        difficulty:
          anyOf:
            - type: string
            - type: 'null'
        introduction_html:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    IfixitPartCollection:
      properties:
        '@type':
          type: string
          default: IfixitPartCollection
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        is_empty:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````